Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Whoa, when did inkscape get so huge? [ebuild patch]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5720

PostPosted: Sun Jun 27, 2010 11:55 pm    Post subject: Whoa, when did inkscape get so huge? [ebuild patch] Reply with quote

I've taken out everything that could be removed without causing a compile failure, and the result runs though a few of the filter menu options give errors. This is a pretty nasty hack though, so use at your own risk.

Code:
--- /var/paludis/repos/gentoo/media-gfx/inkscape/inkscape-0.47.ebuild   2010-06-21 16:36:00.000000000 +0100
+++ /var/paludis/repos/local/media-gfx/inkscape/inkscape-0.47.ebuild   2010-06-27 21:01:55.084325327 +0100
@@ -15,12 +15,11 @@
 LICENSE="GPL-2 LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 hppa ppc ppc64 sparc x86"
-IUSE="dia gnome gs inkjar lcms mmx nls spell wmf"
+IUSE="dia gnome gs imagemagick inkjar lcms mmx nls pdf python spell wmf wpg"
 
 RESTRICT="test"
 
 COMMON_DEPEND="
-   >=app-text/poppler-0.12.3-r3[cairo,xpdf-headers]
    dev-cpp/glibmm
    >=dev-cpp/gtkmm-2.10.0
    >=dev-libs/boehm-gc-6.4
@@ -29,23 +28,27 @@
    >=dev-libs/libxml2-2.6.20
    >=dev-libs/libxslt-1.0.15
    dev-libs/popt
-   dev-python/lxml
-   media-gfx/imagemagick
    media-libs/fontconfig
    >=media-libs/freetype-2
    >=media-libs/libpng-1.2
-   >=media-libs/libwpg-0.1
    sci-libs/gsl
    x11-libs/libXft
    >=x11-libs/gtk+-2.10.7
    >=x11-libs/pango-1.4.0
-   || ( dev-lang/python[xml] dev-python/pyxml )
    gnome? ( >=gnome-base/gnome-vfs-2.0 )
+   imagemagick? ( media-gfx/imagemagick )
    lcms? ( =media-libs/lcms-1* )
+   pdf? ( >=app-text/poppler-0.12.3-r3[cairo,xpdf-headers] )
+   python? (
+      dev-python/lxml
+      || ( dev-lang/python[xml] dev-python/pyxml )
+   )
    spell? (
       app-text/aspell
       app-text/gtkspell
-   )"
+   )
+   wpg? ( >=media-libs/libwpg-0.1 )
+   "
 
 # These only use executables provided by these packages
 # See share/extensions for more details. inkscape can tell you to
@@ -53,10 +56,11 @@
 # on that.
 RDEPEND="
    ${COMMON_DEPEND}
-   dev-python/numpy
    dia? ( app-office/dia )
    gs? ( app-text/ghostscript-gpl )
-   wmf? ( media-libs/libwmf )"
+   python? ( dev-python/numpy )
+   wmf? ( media-libs/libwmf )
+   "
 
 DEPEND="${COMMON_DEPEND}
    dev-libs/boost
@@ -67,13 +71,14 @@
 
 pkg_setup() {
    G2CONF="${G2CONF} --without-perl"
-   G2CONF="${G2CONF} --enable-poppler-cairo"
    G2CONF="${G2CONF} --with-xft"
    G2CONF="${G2CONF} $(use_with gnome gnome-vfs)"
    G2CONF="${G2CONF} $(use_with inkjar)"
    G2CONF="${G2CONF} $(use_enable lcms)"
    G2CONF="${G2CONF} $(use_enable mmx)"
    G2CONF="${G2CONF} $(use_enable nls)"
+   G2CONF="${G2CONF} $(use_enable pdf poppler-cairo)"
+   G2CONF="${G2CONF} $(use_with python)"
    DOCS="AUTHORS ChangeLog NEWS README*"
 }
 
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum